﻿Imports System.Drawing.Drawing2D

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' We will draw the tabs.
        tabMenu.DrawMode = TabDrawMode.OwnerDrawFixed

        ' Look for Alt-B, Alt-L, and Alt-D.
        Me.KeyPreview = True
    End Sub

    ' Draw a tab.
    Private Sub tabMenu_DrawItem(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DrawItemEventArgs) Handles tabMenu.DrawItem
        ' We draw in the TabRect rather than on e.Bounds
        ' so the text doesn't move when the tab is selected.
        Dim tab_rect As Rectangle = tabMenu.GetTabRect(e.Index)
        tab_rect.Height += 3

        ' Draw the background.
        ' Pick an appropriate background color.
        Dim bg_brush As Brush
        If (e.State = DrawItemState.Selected) Then
            bg_brush = New SolidBrush(Color.White)
        Else
            bg_brush = New LinearGradientBrush( _
                tab_rect, _
                Color.White, _
                SystemColors.ControlDark, _
                LinearGradientMode.Vertical)
        End If

        ' Fill the background.
        e.Graphics.FillRectangle(bg_brush, tab_rect)
        bg_brush.Dispose()

        ' If selected, draw the focus rectangle.
        If (e.State = DrawItemState.Selected) Then e.DrawFocusRectangle()

        ' Draw the text.
        ' Move the text area a bit.
        tab_rect.X += 3
        tab_rect.Width -= 3

        Using string_format As New StringFormat()
            ' Draw the tab's text.
            string_format.HotkeyPrefix = System.Drawing.Text.HotkeyPrefix.Show
            string_format.Alignment = StringAlignment.Near
            string_format.LineAlignment = StringAlignment.Center
            e.Graphics.DrawString( _
                tabMenu.TabPages(e.Index).Text, _
                tabMenu.Font, _
                Brushes.Black, _
                tab_rect, _
                string_format)
        End Using

        ' Note: Don't Dispose the stock pens and brushes.
    End Sub

    ' Look for Alt-B, Alt-L, and Alt-D.
    Private Sub Form1_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles MyBase.KeyDown
        If (e.Alt) Then
            Select Case (e.KeyCode)
                Case Keys.B
                    tabMenu.Focus()
                    tabMenu.SelectedTab = tabPageBreakfast
                    e.Handled = True
                    e.SuppressKeyPress = True
                Case Keys.L
                    tabMenu.Focus()
                    tabMenu.SelectedTab = tabPageLunch
                    e.Handled = True
                    e.SuppressKeyPress = True
                Case Keys.D
                    tabMenu.Focus()
                    tabMenu.SelectedTab = tabPageDinner
                    e.Handled = True
                    e.SuppressKeyPress = True
            End Select
        End If
    End Sub
End Class
